Six Stars

sqoop import error

Hi,

 

I am trying to import mysql data to hortonworks using sqoop but below error keep me stuck . please help to resolve the issues. Talend version is 6.3.1

 

Note: /tmp/sqoop-root/compile/50736c6a6865232bd5a7349076cbe8e1/CustomersData.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Exception in component tSqoopImport_1
java.lang.Exception: The Sqoop import job has failed. Please check the logs.
	at local_project.sqoopimport_0_1.SqoopImport.tSqoopImport_1Process(SqoopImport.java:538)
	at local_project.sqoopimport_0_1.SqoopImport.runJobInTOS(SqoopImport.java:842)
	at local_project.sqoopimport_0_1.SqoopImport.main(SqoopImport.java:676)


[ERROR]: org.apache.sqoop.tool.ImportTool - Imported Failed: Unable to parse '/hdp/apps/${hdp.version}/mapreduce/mapreduce.tar.gz#mr-framework' as a URI, check the setting for mapreduce.application.framework.path

Regards,

Arun

3 REPLIES
Moderator

Re: sqoop import error

Hi, What's the actual version you are using? Screenshots of your component setting will be preferred. Best regards Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Six Stars

Re: sqoop import error

Hi Sabrina,

 

My Talend Version is 6.3.1 and Hortonworks Apache Ambari version is 2.4.2.0.

csv,tweet files can ingest and download but SQOOP is having problem.

 

sqoopError.jpg

 

Attached component settings snapshot

 

 

Five Stars

Re: sqoop import error

Hi Arun,

 

Check your HDP version and add this  variable into jvm settings and run the same.

here is the sample value:

"-Dhdp.version=2.4.0.0-169"